PHP Classes

can't install

Recommend this page to a friend!

      Simple uploader  >  All threads  >  can't install  >  (Un) Subscribe thread alerts  
Subject:can't install
Summary:composer error
Messages:5
Author:adriano ghezzi
Date:2019-03-24 17:13:40
 

  1. can't install   Reply   Report abuse  
Picture of adriano ghezzi adriano ghezzi - 2019-03-24 17:13:40
Loading composer repositories with package information
Updating dependencies (including require-dev)
Package operations: 2 installs, 0 updates, 0 removals
- Installing laudirbispo/filefolder (1.0.1): Downloading (100%)
- Installing phpclasses/simple-uploader (1.0.0):
Authentication required (www.phpclasses.org):
Username:
Password:
Downloading (100%)D

Failed to execute unzip -qq '/home/adriano/data/development/test/classes.org-simleiploader/vendor/phpclasses/simple-uploader/32587666134adc65baf8b7ba5b5b33d8.zip' -d '.../vendor/composer/b49f400c'

warning [/home/..../32587666134adc65baf8b7ba5b5b33d8.zip]: 7982 extra bytes at beginning or within zipfile
(attempting to process anyway)
file #1: bad zipfile offset (local header sig): 7982
(attempting to re-compensate)

The archive may contain identical file names with different capitalization (which fails on case insensitive filesystems)
Unzip with unzip command failed, falling back to ZipArchive class

  2. Re: can't install   Reply   Report abuse  
Picture of Laudir Bispo Laudir Bispo - 2019-03-29 12:58:28 - In reply to message 1 from adriano ghezzi
I did some tests and I did not find any errors.
It seems to me that the problem is at the time of unpacking in your machine.

composer require laudirbispo/uploader

  3. Re: can't install   Reply   Report abuse  
Picture of adriano ghezzi adriano ghezzi - 2019-03-30 10:49:53 - In reply to message 2 from Laudir Bispo
Your proof is not conclusive.


You should read error messages carefully
this part it is self explanatory
-------
"The archive may contain identical file names with different capitalization (which fails on case insensitive filesystems)"
-------

php can be run on linux and windows
when you test your solution it must be tested in both environments
unless you warn users it is compatible only for on one environment

btw I'm running on linux but on case insesitive file system because it is a virtual envinronment shared with windows
and I confirm the error

  4. Re: can't install   Reply   Report abuse  
Picture of Manuel Lemos Manuel Lemos - 2021-04-18 09:30:07 - In reply to message 1 from adriano ghezzi
Hello Adriano,

I don't know if this is still relevant for you. There was a bug in the Zip Archive generation for Composer. The bug was fixed now. If you still would like to use Composer to install this package can you please try again now?

  5. Re: can't install   Reply   Report abuse  
Picture of adriano ghezzi adriano ghezzi - 2021-04-19 02:30:51 - In reply to message 4 from Manuel Lemos
Tried again this time:

[Composer\Downloader\TransportException]
Invalid credentials for 'https://www.phpclasses.org/install/package/simple
-uploader.zip', aborting.

 
For more information send a message to info at phpclasses dot org.